RuntimeError: Package mail not found in either PEAR or PECL


#1

I’m using php cookbook version 1.2.0 and the bug was also fixed at http://tickets.opscode.com/browse/COOK-2514

This is the code in the recipe:

include_recipe "php"
...
php_pear "mail" do
  action :install
end
...

In metadata.rb

...
  depends "php", "1.2.0"
...

But it fails wiht the error.
Here is the debug level log: https://gist.github.com/5657872


@millisami
~ Sachin Sagar Rai
Ruby on Rails Developer
http://tfm.com.np
http://nepalonrails.com (http://nepalonrails.tumblr.com)
http://funsole.com
Sent with Sparrow (http://www.sparrowmailapp.com/?sig)


#2

It looks like the package is named “Mail” not “mail”.
String matching is case-sensitive.

On Mon, May 27, 2013 at 12:22 PM, Sachin Sagar Rai millisami@gmail.com wrote:

I’m using php cookbook version 1.2.0 and the bug was also fixed at
http://tickets.opscode.com/browse/COOK-2514

This is the code in the recipe:

include_recipe "php"
...
php_pear "mail" do
  action :install
end
...

In metadata.rb

...
  depends "php", "1.2.0"
...

But it fails wiht the error.
Here is the debug level log: https://gist.github.com/5657872


@millisami
~ Sachin Sagar Rai
Ruby on Rails Developer
http://tfm.com.np
http://nepalonrails.com
http://funsole.com
Sent with Sparrow